// https://material.angular.io/guide/theming#custom-themes-with-sass
@use '@angular/material' as mat;
@include mat-core();

/* Ignore error: identifier expectedscss(css-identifierexpected) */
mat.$theme-ignore-duplication-warnings: true;


$theme-primary: (
  // define a real custom palette (using http://mcg.mbitson.com)
  main: #82a3fd,
  lighter: #d7e2ff,
  darker: #4263e4,
  200: #2551c9,
  // For slide toggle,
  contrast:
    (
      main: $light-primary-text,
      lighter: $dark-primary-text,
      darker: $light-primary-text
    )
);

$theme-secondary: (
  main: #797979,
  lighter: #d7d7d7,
  darker: #5c5c5c,
  200: #797979,
  // For slide toggle,
  contrast:
    (
      main: $light-primary-text,
      lighter: $dark-primary-text,
      darker: $light-primary-text
    )
);

$mat-warn: (
  main: #eb445a,
  lighter: #ffb3b3,
  darker: #cf3c4f,
  200: #cf3c4f, // For slide toggle,
  contrast : (
    main: $light-primary-text,
    lighter: $dark-primary-text,
    darker: $light-primary-text,
  )
);


// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://www.google.com/design/spec/style/color.html
$custom-app-primary: mat-palette($theme-primary, main, lighter, darker);
$custom-app-accent: mat-palette($theme-secondary, main, lighter, darker);

$custom-app-warn: mat-palette($mat-warn, main, lighter, darker);

$custom-app-theme: mat.define-dark-theme((
 color: (
   primary: $custom-app-primary,
   accent: $custom-app-accent,
   warn: $custom-app-warn,
 ),
 typography: mat.define-typography-config(),
 density: 0,
));

@include mat.all-component-colors($custom-app-theme);
